# eric4.Plugins.VcsPlugins.vcsSubversion.SvnLogDialog

Module implementing a dialog to show the output of the svn log command process.

### Global Attributes

None

### Classes

SvnLogDialog | Class implementing a dialog to show the output of the svn log command process.

### Functions

None

## SvnLogDialog

Class implementing a dialog to show the output of the svn log command process.

The dialog is nonmodal. Clicking a link in the upper text pane shows a diff of the versions.

### Derived from

QWidget, Ui_SvnLogDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnLogDialog | Constructor
__procFinished | Private slot connected to the finished signal.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
__sourceChanged | Private slot to handle the sourceChanged signal of the contents pane.
closeEvent | Private slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_sendButton_clicked | Private slot to send the input to the subversion process.
start | Public slot to start the cvs log command.

### Static Methods

None

#### SvnLogDialog (Constructor)

SvnLogDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### SvnLogDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### SvnLogDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### SvnLogDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process and inserts it into a buffer.

#### SvnLogDialog.__sourceChanged

__sourceChanged(url)

Private slot to handle the sourceChanged signal of the contents pane.

url
  the url that was clicked (QUrl)

#### SvnLogDialog.closeEvent

closeEvent(e)

Private slot implementing a close event handler.

e
  close event (QCloseEvent)

#### SvnLogDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### SvnLogDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### SvnLogDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### SvnLogDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the subversion process.

#### SvnLogDialog.start

start(fn, noEntries = 0)

Public slot to start the cvs log command.

fn
  filename to show the log for (string)
noEntries
  number of entries to show (integer)

Up